OpenVDB 13.0.0

Loading...
Searching...
No Matches
IterTraits< NodeT, IterT > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Static Public Member Functions
template<typename ChildT>
static ChildT * | getChild (const IterT &)

## Detailed Description

template<typename NodeT, typename IterT>
struct openvdb::v13_0::tree::IterTraits< NodeT, IterT >

IterTraits provides the following for iterators of the standard types, i.e., for {Child,Value}{On,Off,All}{Iter,CIter}:

- a NodeConverter template to convert an iterator for one type of node to an iterator of the same type for another type of node; for example, IterTraits<RootNode, RootNode::ValueOnIter>::NodeConverter<LeafNode>::Type is synonymous with LeafNode::ValueOnIter.
- a begin(node) function that returns a begin iterator for a node of arbitrary type; for example, IterTraits<LeafNode, LeafNode::ValueOnIter>::begin(leaf) returns leaf.beginValueOn()
- a getChild() function that returns a pointer to the child node to which the iterator is currently pointing (always null if the iterator is a Value iterator)

## Member Function Documentation

## ◆ getChild()

template<typename NodeT, typename IterT>
template<typename ChildT>

ChildT * getChild | ( | const IterT & |  | ) |
| inline static